PDA

View Full Version : WM 5.0 Smartphone Installer



olivetree
06-26-2006, 07:31 PM
Hello,

I currently use Installshield X Express to build installers for Smartphone 2003 phones. We now need to support the newest phones that run Windows Mobile 5.0 and my version of IS doesn't support WM 5.0, correct? Here are a few questions that I hope someone can answer:

1. Does 11.5 Express support projects for Smartphones running WM 5.0?

2. If I have two executables (one for Smartphone 2002 and another for 2003 and WM 5.0), can I build one installer project for all three types of devices?

3. Will it work and install the proper files without the user needing to know which device they have?

What would be the best way to achieve this?

Thanks!
Chris

davidh
07-06-2006, 04:57 PM
This can get pretty complicated, but I'll try to get you started here, but we are currently improving our platform support:

Here is a kb article that we currently have explaining how to target Smartphone devices that have Mobile 5.0:
http://support.installshield.com/kb/view.asp?articleid=Q112145

However, the current support still does not properly target devices. Microsoft recently changed cabwiz.exe so it can build installs for both smartphone and windows mobile devices. So, in the future it will no longer be necessary to choose Smartphone OR Windows mobile. You might want to manually create your cab files using Microsoft's latest cabwiz.exe. Then, run through the InstallShield wizard picking the option to point to existing cab files so the cab files are all included in one setup. Or, replace the InstallShield cabwiz.exe in the installshield support folder with the latest cabwiz.exe. Then, you can choose to target Mobile 5 devices and have one cab that installs on mobile 5 and 2003 (even smartphones) and have another file that installs just on 2002.

If you have any further problems, please post the CEDevice sections of your inf file.

Archer
08-17-2006, 02:35 AM
I just purchased 11.5 Express so I'm a little green still, but I'm having the same problem with getting this to work for Smartphones WM 5.0. I tried selecting 2003 but that didn't work. I tried replacing the cabwiz.exe and that didn't work either. Is there an example of a project that works that I could look at? When will a change be made for this and how can I get that version?

Thanks

davidh
08-18-2006, 10:03 AM
Unfortunately this will not be fixed until the next release. When 11.5 was released, we were not aware of this issue. I'm not even sure if the Smartphone version of 5.0 was available at the time we updated our Smartphone support.

However, if the workaround in the kb article does not work for you, I'd be glad to help. Can you tell me the specific behavior\errors you are seeing when you try to install to a Smartphone device?

alex_trunks2006
09-16-2006, 03:24 AM
download link for installshield (trial) http://saturn.installshield.com/is/12/windows/domestic/express/setup.exe